'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (reducers) {

  var enhancer = (0, _redux.compose)((0, _redux.applyMiddleware)(_reduxThunk2.default));
  var combinedReducer = (0, _redux.combineReducers)(reducers);
  var preloadedState = {};
  if (typeof window != 'undefined') {
    preloadedState = window.__PRELOADED_STATE__;
    delete window.__PRELOADED_STATE__;
  }

  return (0, _redux.createStore)(combinedReducer, preloadedState, enhancer);

  /*
  
  
    
  */
};

var _redux = require('redux');

var _reduxThunk = require('redux-thunk');

var _reduxThunk2 = _interopRequireDefault(_reduxThunk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }