'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _ControllerResponseType = require('./../ControllerResponseType');

var _ControllerResponseType2 = _interopRequireDefault(_ControllerResponseType);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RenderJson = function (_ControllerResponseTy) {
  _inherits(RenderJson, _ControllerResponseTy);

  function RenderJson(props1, props2) {
    _classCallCheck(this, RenderJson);

    if ((typeof props1 === 'undefined' ? 'undefined' : _typeof(props1)) == 'object') {
      var _this = _possibleConstructorReturn(this, (RenderJson.__proto__ || Object.getPrototypeOf(RenderJson)).call(this, props2));

      _this.content = props1;
    } else {
      var _this = _possibleConstructorReturn(this, (RenderJson.__proto__ || Object.getPrototypeOf(RenderJson)).call(this, props1));

      _this.content = props1.content;
    }
    return _possibleConstructorReturn(_this);
  }

  _createClass(RenderJson, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      return new Promise(function (fulfill, reject) {
        fulfill(_this2.content);
      });
    }
  }, {
    key: 'respond',
    value: function respond(req, res) {
      this.render(req).then(function (content) {
        res.setHeader('Content-Type', 'application/json');
        res.send(content);
      }).catch(function (e) {
        res.send('error: ' + String(e));
      });
    }
  }]);

  return RenderJson;
}(_ControllerResponseType2.default);

exports.default = RenderJson;