'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _systemImportTransformerGlobalIdentifier = typeof window !== 'undefined' ? window : typeof self !== 'undefined' ? self : typeof global !== 'undefined' ? global : {};

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _reactRouterDom = require('react-router-dom');

var _reactRedux = require('react-redux');

var _reactLoadable = require('react-loadable');

var _reactLoadable2 = _interopRequireDefault(_reactLoadable);

var _index = require('../../dist/Store/index.js');

var _importInspector = require('import-inspector');

var _styledComponents = require('styled-components');

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _i18n = require('yahoi/dist/Client/i18n');

var _i18n2 = _interopRequireDefault(_i18n);

var _production = require('../Environments/production.js');

var _production2 = _interopRequireDefault(_production);

var _reactI18next = require('react-i18next');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

(0, _i18n.init)(_production2.default.i18next);

var Routes = _react2.default.createElement(
  'div',
  null,
  _react2.default.createElement(_reactRouterDom.Route, { exact: true, path: '/examples/client', component: (0, _reactLoadable2.default)({
      loader: function loader() {
        return (0, _importInspector.report)(typeof _systemImportTransformerGlobalIdentifier.define === 'function' && _systemImportTransformerGlobalIdentifier.define.amd ? new Promise(function (resolve, reject) {
          _systemImportTransformerGlobalIdentifier.require([/* webpackChunkName: "ExamplePage" */__dirname + '/../Containers/ExamplePage'], resolve, reject);
        }) : typeof module !== 'undefined' && module.exports && typeof require !== 'undefined' || typeof module !== 'undefined' && module.component && _systemImportTransformerGlobalIdentifier.require && _systemImportTransformerGlobalIdentifier.require.loader === 'component' ? Promise.resolve(require((__dirname + '/../Containers/ExamplePage'))) : Promise.resolve(_systemImportTransformerGlobalIdentifier[__dirname + '/../Containers/ExamplePage']), {
          serverSideRequirePath: __dirname + './../Containers/ExamplePage',
          webpackRequireWeakId: function webpackRequireWeakId() {
            return require.resolveWeak(__dirname + '/../Containers/ExamplePage');
          }
        });
      },
      loading: function loading() {
        return _react2.default.createElement(
          'div',
          null,
          'Loading'
        );
      }
    }) })
);

if (module.hot) {
  module.hot.accept();
}
var Client = function (_React$Component) {
  _inherits(Client, _React$Component);

  function Client(props) {
    _classCallCheck(this, Client);

    var _this = _possibleConstructorReturn(this, (Client.__proto__ || Object.getPrototypeOf(Client)).call(this, props));

    if (typeof document !== 'undefined') {} else {
      _this.store = (0, _index.ServerStore)(props.ssr.preloadedState);
    }
    return _this;
  }

  _createClass(Client, [{
    key: 'render',
    value: function render() {
      if (typeof document !== 'undefined') {
        // Clientside
        var state = _index.ClientStore.getState();
        return _react2.default.createElement(
          _reactRedux.Provider,
          { store: _index.ClientStore },
          _react2.default.createElement(
            _reactI18next.I18nextProvider,
            { i18n: _i18n2.default, initialLanguage: state.Locale.language, initialI18nStore: state.Locale.preloadedTranslations },
            _react2.default.createElement(
              _reactRouterDom.BrowserRouter,
              null,
              Routes
            )
          )
        );
      } else {
        // Serverside
        var _state = this.store.getState();
        return _react2.default.createElement(
          _reactRedux.Provider,
          { store: this.store },
          _react2.default.createElement(
            _reactI18next.I18nextProvider,
            { i18n: _i18n2.default, initialLanguage: _state.Locale.language, initialI18nStore: _state.Locale.preloadedTranslations },
            _react2.default.createElement(
              _reactRouterDom.StaticRouter,
              { location: this.props.ssr.location, context: this.props.ssr.context },
              Routes
            )
          )
        );
      }
    }
  }]);

  return Client;
}(_react2.default.Component);

exports.default = Client;

if (typeof document !== 'undefined') {
  _reactDom2.default.render(_react2.default.createElement(Client, null), document.getElementById('client-wrapper'));
}
