'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class;

var _templateObject = _taggedTemplateLiteral(['\n  margin: 0 auto;\n  text-align: center;\n'], ['\n  margin: 0 auto;\n  text-align: center;\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Components = require('../../../dist/Components');

var _reactRedux = require('react-redux');

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Header = _styledComponents2.default.div(_templateObject);

var ExamplePage = (_dec = (0, _reactRedux.connect)(function (store) {
  return { exampleStore: store.Example };
}), _dec(_class = function (_React$Component) {
  _inherits(ExamplePage, _React$Component);

  function ExamplePage(props) {
    _classCallCheck(this, ExamplePage);

    var _this = _possibleConstructorReturn(this, (ExamplePage.__proto__ || Object.getPrototypeOf(ExamplePage)).call(this));

    _this.state = {
      exampleStore: props.exampleStore
    };
    return _this;
  }

  _createClass(ExamplePage, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _Components.Container,
        { style: { backgroundColor: '#ffffff' } },
        _react2.default.createElement(
          _Components.Row,
          null,
          _react2.default.createElement(
            _Components.Col,
            { size: 12 },
            _react2.default.createElement(
              Header,
              null,
              _react2.default.createElement(
                'h1',
                null,
                'Yahoi Example App'
              )
            )
          )
        ),
        _react2.default.createElement(
          _Components.Row,
          null,
          _react2.default.createElement(
            _Components.Col,
            { size: 6 },
            'You have successfuly set up the Yahoi Example App! Good Job! :-)',
            _react2.default.createElement(
              'h5',
              null,
              'Samples'
            ),
            _react2.default.createElement(
              'ul',
              { style: { fontSize: 13 } },
              this.state.exampleStore.exampleLinks.map(function (exampleLink) {
                return _react2.default.createElement(
                  'li',
                  null,
                  _react2.default.createElement(
                    'a',
                    { target: '_blank', href: exampleLink.url },
                    exampleLink.title
                  )
                );
              })
            )
          ),
          _react2.default.createElement(
            _Components.Col,
            { size: 6 },
            _react2.default.createElement('img', { src: '/Public/Images/duck.png', style: { width: '100%' } })
          )
        ),
        _react2.default.createElement(
          _Components.Row,
          null,
          _react2.default.createElement(
            _Components.Col,
            { size: 12 },
            _react2.default.createElement(_Components.Footer, null)
          )
        )
      );
    }
  }]);

  return ExamplePage;
}(_react2.default.Component)) || _class);
exports.default = ExamplePage;