import { createStore, applyMiddleware, combineReducers, compose } from 'redux';
//import { redux as ReduxDevMonitors } from 'devTools';
import thunk from 'redux-thunk';

/*
if(process.env.NODE_ENV=='development') {
  var enhancer = compose(applyMiddleware(thunk), ReduxDevMonitors.instrument());
}
*/
export default function(reducers) {

  var enhancer = compose(applyMiddleware(thunk));
  var combinedReducer = combineReducers(reducers);
  var preloadedState = {};
  if(typeof(window)!='undefined') {
    preloadedState = window.__PRELOADED_STATE__;
    delete window.__PRELOADED_STATE__;
  }
  
  return createStore(combinedReducer, preloadedState, enhancer);

/*


  
*/
}
