import Responder from './../Responder';

export default class RedirectResponder extends Responder {
  
  constructor(props) {
    super(props);
    this.url = props.url;
  }

  respond(req, res) {
    try {
      res.redirect(this.url);
    } catch(e) {
      res.send('error: ' + String(e));
    }
  }

}