'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _ControllerResponseType = require('./../ControllerResponseType');

var _ControllerResponseType2 = _interopRequireDefault(_ControllerResponseType);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _server = require('react-dom/server');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RenderComponent = function (_ControllerResponseTy) {
  _inherits(RenderComponent, _ControllerResponseTy);

  function RenderComponent(props1, props2) {
    _classCallCheck(this, RenderComponent);

    if ((typeof props1 === 'undefined' ? 'undefined' : _typeof(props1)) == 'object') {
      var _this = _possibleConstructorReturn(this, (RenderComponent.__proto__ || Object.getPrototypeOf(RenderComponent)).call(this, props2));

      _this.content = props1;
    } else {
      var _this = _possibleConstructorReturn(this, (RenderComponent.__proto__ || Object.getPrototypeOf(RenderComponent)).call(this, props1));

      _this.content = null;
      _this.componentPath = props1;
    }
    return _possibleConstructorReturn(_this);
  }

  _createClass(RenderComponent, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      return new Promise(function (fulfill, reject) {
        if (_this2.content != null) {
          fulfill(_this2.content);
        } else {

          // turn off for prod env
          if (typeof require.cache[_this2.componentPath + '.jsx'] != 'undefined') {
            delete require.cache[_this2.componentPath + '.jsx'];
          }

          var sourceComponent = require(_this2.componentPath + '.jsx').default;
          var Component = _react2.default.createFactory(sourceComponent)();
          var html = (0, _server.renderToString)(Component);
          fulfill(html);
        }
      });
    }
  }, {
    key: 'respond',
    value: function respond(req, res) {
      this.render(req).then(function (content) {
        res.send(content);
      }).catch(function (e) {
        res.send('error: ' + String(e));
      });
    }
  }]);

  return RenderComponent;
}(_ControllerResponseType2.default);

exports.default = RenderComponent;