'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _ControllerResponseType = require('./../ControllerResponseType');

var _ControllerResponseType2 = _interopRequireDefault(_ControllerResponseType);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _server = require('react-dom/server');

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var RenderRaw = function (_ControllerResponseTy) {
  _inherits(RenderRaw, _ControllerResponseTy);

  function RenderRaw(content) {
    _classCallCheck(this, RenderRaw);

    var _this = _possibleConstructorReturn(this, (RenderRaw.__proto__ || Object.getPrototypeOf(RenderRaw)).call(this));

    _this.content = content;
    return _this;
  }

  _createClass(RenderRaw, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      return new Promise(function (fulfill, reject) {
        fulfill(_this2.content);
      });
    }
  }, {
    key: 'respond',
    value: function respond(req, res) {
      this.render(req).then(function (content) {
        res.send(content);
      }).catch(function (e) {
        res.send('error: ' + String(e));
      });
    }
  }]);

  return RenderRaw;
}(_ControllerResponseType2.default);

exports.default = RenderRaw;