'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); //import validate from 'express-validation';


var _ActionContext = require('./ActionContext');

var _ActionContext2 = _interopRequireDefault(_ActionContext);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _Renderer = require('./Renderer');

var Renderer = _interopRequireWildcard(_Renderer);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Controller = function () {
  function Controller(props) {
    _classCallCheck(this, Controller);

    this.app = props.app;
    this.config = {};
  }

  _createClass(Controller, [{
    key: 'setAppReference',
    value: function setAppReference(app) {
      this.app = app;
    }
  }, {
    key: 'getEnvironment',
    value: function getEnvironment() {
      return this.app.getEnvironment();
    }
  }, {
    key: 'getService',
    value: function getService(name) {
      return this.app.getService(name);
    }
  }, {
    key: 'setContainerDirectory',
    value: function setContainerDirectory(containerDirectory) {
      this.__containerDirectory = containerDirectory;
    }
  }, {
    key: 'getContainerDirectory',
    value: function getContainerDirectory() {
      return this.__containerDirectory;
    }
  }, {
    key: 'setComponentDirectory',
    value: function setComponentDirectory(componentDirectory) {
      this.__componentDirectory = componentDirectory;
    }
  }, {
    key: 'getComponentDirectory',
    value: function getComponentDirectory() {
      return this.__componentDirectory;
    }
  }, {
    key: 'setViewDirectory',
    value: function setViewDirectory(viewDirectory) {
      this.__viewDirectory = viewDirectory;
    }
  }, {
    key: 'getViewDirectory',
    value: function getViewDirectory() {
      return this.__viewDirectory;
    }
  }, {
    key: 'setProjectDirectory',
    value: function setProjectDirectory(dir) {
      this.__projectDirectory = dir;
    }
  }, {
    key: 'getProjectDirectory',
    value: function getProjectDirectory() {
      return this.__projectDirectory;
    }
  }, {
    key: 'renderAction',
    value: function renderAction(name, req, res, match) {
      var _this = this;

      return new Promise(function (fulfill, reject) {

        //      console.log('calling Action: ', `${name}Action`);

        var action = new _ActionContext2.default({
          config: _this.config,
          match: match,
          req: req,
          res: res,
          app: _this.app,
          action: _this[name + 'Action'],
          controller: _this,
          send: fulfill,
          reject: reject
        });

        action.run();
      });
    }
  }]);

  return Controller;
}();

exports.default = Controller;