'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _handlebars = require('handlebars');

var _handlebars2 = _interopRequireDefault(_handlebars);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var ViewRenderer = function () {
  function ViewRenderer(props) {
    _classCallCheck(this, ViewRenderer);

    this.filePath = props.filePath;
    this.data = props.data;
  }

  _createClass(ViewRenderer, [{
    key: 'render',
    value: function render() {
      var _this = this;

      return new Promise(function (fulfill, reject) {
        _fs2.default.readFile(_this.filePath + '.handlebars', 'utf8', function (err, source) {
          if (err) {
            reject(err);
          } else {
            var template = _handlebars2.default.compile(source);
            fulfill(template(_this.data));
          }
        });
      });
    }
  }]);

  return ViewRenderer;
}();

exports.default = ViewRenderer;