'use strict';

var webpack = require('webpack');
var webpackMiddleware = require('webpack-dev-middleware');

module.exports = function (app, express) {
  console.log('enabling webpack dev middleware (hmr)');
  var webpackConfig = require(app.getProjectPath() + '/../config/webpack.dev.config.js');
  var compiler = webpack(webpackConfig);
  express.use(require('webpack-dev-middleware')(compiler, { publicPath: webpackConfig.output.publicPath }));
  express.use(require('webpack-hot-middleware')(compiler));
};