'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.changeLanguage = changeLanguage;

var _i18next = require('i18next');

var _i18next2 = _interopRequireDefault(_i18next);

var _i18n = require('yahoi/dist/Client/i18n');

var _i18n2 = _interopRequireDefault(_i18n);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function changeLanguage(language) {
  return function (dispatch) {
    _i18n2.default.changeLanguage(language, function () {
      dispatch({
        type: 'CHANGE_LANGUAGE',
        payload: {
          language: language
        }
      });
    });
  };
}