import { Controller } from './../lib';


export default class ErrorController extends Controller {
  
  constructor(props) { super(props); }

  noRouteAction(parameters) {
    this.sendView('Errors/noRoute');
  }
  
  actionErrorAction(parameters) {
    


    let error = parameters.get('error');
    let message = error.message;
    let stack = error.stack;
    
    let actionName = parameters.get('actionName');
    let controllerName = parameters.get('controllerName');


    this.sendView('Errors/actionError', {
      message: message,
      stack: stack,
      controllerName: controllerName,
      actionName: actionName
    });

  }  
  
}