import { createStore, applyMiddleware, combineReducers, compose } from 'redux';
//import { redux as ReduxDevMonitors } from 'devTools';

import thunk from 'redux-thunk';

/*
if(process.env.NODE_ENV=='development') {
  var enhancer = compose(applyMiddleware(thunk), ReduxDevMonitors.instrument());
} else {
  
}
*/



export default function(reducers, preloadedState) {
  var enhancer = compose(applyMiddleware(thunk));
  var combinedReducer = combineReducers(reducers);
  return createStore(combinedReducer, preloadedState, enhancer);  
}