import path from 'path';

export default class Service {
  
  constructor(props) {
    this.app = props.app;
    this.config = {};
  }


  setAppReference(app) {
    this.app = app;
  }

  getEnvironment() {
    return this.app.getEnvironment()
  }

  setContainerDirectory(containerDirectory) {
    this.__containerDirectory = containerDirectory;
  }
  
  getContainerDirectory() {
    return this.__containerDirectory;
  }

  setComponentDirectory(componentDirectory) {
    this.__componentDirectory = componentDirectory;
  }
  
  getComponentDirectory() {
    return this.__componentDirectory;
  }

  setProjectDirectory(dir) {
    this.__projectDirectory = dir;
  }
  
  getProjectDirectory() {
    return this.__projectDirectory;
  }
  
}